Options -Indexes

# Включаем RewriteEngine
RewriteEngine On
RewriteBase /

# Проверяем наличие файла индекса
RewriteCond %{REQUEST_FILENAME} -d
RewriteCond %{REQUEST_FILENAME}/index.php -f
RewriteRule ^ - [L]

# Если файл индекса не найден, выдаем ошибку 403
RewriteCond %{REQUEST_FILENAME} -d
RewriteRule ^ - [F]